Subject: feature request: new value for completions-format

From: Nicolas Graner <[email-masked]>
Date: Tue, 08 Sep 2020 18:07:59 +0200

In addition to the 'horizontal' and 'vertical' completion formats, it
would be useful to have a 'single-column' format that displays
completions vertically, one per line, regardless of the window width.

Rationale: for speech output users, when the cursor moves to the
beginning of a line the screen reader typically reads out the whole
line. Having several completions on the same line read at once is
confusing.

Note: the same result can be achieved by reformatting the completions
buffer in a completion-setup-hook but it would be much easier to just
customize completions-format

Nicolas